@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,900;1,700&display=swap");



:root{
    --font-family: "Roboto", sans-serf;
    --normal-font: 400;
    --bold-font: 700;
    --bolder-font: 900;
    --bg-color: #181818;
    --primary-color: #7c3aed;
    --secondary-color: #ff7235;
    --primary-shadow: #000000;
    --secondary-shadow: #8c28ff;
    --bottom-margin: 0.5rem;
    --bottom-margin-2: 1rem;
    --line-height: 1.7rem;
    --transition: 0.3s;
    --text-color: #ffffff;
    --paragraph-color: #9e9e9e;
    --card-bg-color: #1f1f1f;
    --card-highlight: #2c2c2c;
}

html {
    scroll-behavior: smooth;
    background: var(--bg-color);
}

/* CSS Resets */
* {
    color: var(--text-color);
    background-color: var(--bg-color);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: inherit;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: var(--primary-color);
}

a:hover {
    color: var(--secondary-color);
}

body {
    font-family: var(--font-family);
}

p{
    color: var(--paragraph-color);
}

/* nagivation banner */
nav {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 3.5rem;
  background-color: var(--card-bg-color);
  border: solid var(--card-highlight);
  border-width: 0px 0px 1px 0px;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
}

nav h1 {
  color: var(--primary-color);
}

nav a {
  color: var(--primary-color);
  transition: var(--transition);
}

nav a:hover {
  color: var(--secondary-color);
  border-bottom: 2px solid var(--secondary-color);
}

nav ul {
  display: flex;
  gap: 1.9rem;
}

nav ul li {
  font-weight: var(--bold-font);
}

.burger-menu {
  color: var(--primary-color);
  font-size: 2rem;
  border: 0;
  background-color: transparent;
  cursor: pointer;
  display: none;
}

.bars{
  color: var(--primary-color);
}


/* waves text */

.svg-container{
  position: relative;
  display: block;
  align-items: center;
  align-content: center;
  width: 80%;
  margin: 2rem;
  text-align: center;
}

svg{
  /* display: inline; */
  font-weight:bold;
  max-height: 100px;
  width: 100%;
  /* text-align: justify; */
}




/* Hero section */
.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    /* gap: 2.5rem; */
    max-width: 100%;
    margin: auto;
}

.bio {
  width: 25rem;
  padding: 0.625rem;
  border-radius: 6px;
  box-shadow: 0px 2px 15px 2px var(--primary-shadow);
  background-color: var(--card-bg-color);
  margin: 10px;
  border: var(--card-highlight) 1px solid;
}

.bio h1 {
  margin-bottom: var(--bottom-margin);
}

.bio p {
  line-height: var(--line-height);
  padding: 0.3rem 0;
}



/* More about */
.more-about {
  display: block;
  background-color: var(--bg-color);
  width: 30%;
  margin: 3rem auto;
}

.more-about h2 {
  margin-bottom: var(--bottom-margin);
  text-align: center;
}

.more-about p {
  line-height: var(--line-height);
  padding: 0.4rem;
  text-align: center;
}




/* projects */
.projects {
  background-color: var(--bg-color);
  padding: 32px 0;
  /* margin-top: 2rem; */
}

.project-pic {
  width: 85%;
  /* height: 85%; */
  border-radius: 15px;
}

.projects-container {
  display: flex;
  align-items: center;
  justify-content: center;
  background: inherit;
}

.projects-title {
  text-align: center;
  margin-bottom: 1rem;
  background: inherit;
}

.project-container {
  text-align: center;
  width: 21.875rem;
  padding: 1rem;
}

.project-container p {
  padding: 0.4rem;
}

.project-container a{
  background: inherit;
}

.project-title {
  margin-bottom: var(--bottom-margin);
  background: inherit;
}

.project-details {
  margin-bottom: var(--bottom-margin);
  background: inherit;
}

.project-card {
  background-color: var(--card-bg-color);
  border-radius: 11px;
  box-shadow: 0 5px 15px var(--primary-shadow);
  padding: 20px;
  margin: 10px;
  border: var(--card-highlight) 1px solid;
}




/* contact me section */
.contact {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.contact h2 {
  text-align: center;
  margin-bottom: var(--bottom-margin-2);
}

.contact-form-container {
  display: flex;
  background: linear-gradient(5deg, #141414 0%, var(--card-bg-color) 65%, var(--card-highlight) 100%);
  max-width: 40.75rem;
  margin: 0 auto;
  padding: 0.938rem;
  border-radius: 25px;
  box-shadow: 0 0 20px var(--secondary-shadow);
  border: #4e2496 1px solid;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.contact-form-container *{
  background: transparent;
}

.contact-form-container div{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem;
}

.contact-form-container div h3{
  display: inline;
  vertical-align: 40%;
}

.contact-form-container div a{
  display: inline;
  vertical-align: 100%;
  border-bottom: 2px solid var(--primary-color);
  transition: var(--transition);
}
.contact-form-container div a:hover{
  border-bottom: 2px solid var(--secondary-color);
}

.contact-form-container label {
  line-height: 2.7em;
  font-weight: var(--bold-font);
  color: var(--primary-color);
}

.contact-form-container textarea {
  min-height: 6.25rem;
  font-size: 14px;
}

.contact-form-container .input-field {
  width: 100%;
  padding-top: 10px;
  padding-bottom: 10px;
  border-radius: 5px;
  border: none;
  border: 2px outset var(--primary-color);
  font-size: 0.875rem;
  outline: none;
}

.input-field::placeholder {
  padding: 0.5rem;
  color: var(--primary-color);
}

.submit-btn {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 2px solid var(--primary-color);
    border-radius: 5px;
    font-size: 1rem;
    font-weight: var(--bold-font);
    transition: var(--transition);
    z-index: 10;
}

/* .submit-btn-div{
    width: 100%;
    margin: 10px 0;
    background: transparent;
    border: 2px solid var(--primary-color);
    border-radius: 5px;
    font-size: 1rem;
    font-weight: var(--bold-font);
    transition: var(--transition);
} */

.submit-btn:hover {
  background: var(--primary-color);
  border: 2px solid var(--primary-color);
  cursor: pointer;
  color: black;
}

/* .submit-btn-div .submit-btn:hover{
  background: linear-gradient(to top, red, green);
  border: 2px solid var(--primary-color);
  cursor: pointer;
} */

/* .submit-background{
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    background: var(--primary-color);
    border-radius: 5px;
    transition: var(--transition);
    position: relative;
    bottom: 67px;
    height: 0px;
    z-index: 0;
}

.submit-btn:hover + .submit-background{
    height: 47px;
} */


/* videon stuff */
.showreel{
    position: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
    background: rgb(17, 17, 17);
}
.showreel-video{
    width: 50%;
    margin: 2rem;
    border-radius: 0.75rem;
    /* box-shadow: 0px 0px 5px 0px var(--primary-shadow); */
}

@media screen and (max-width: 720px) {
  /* changes reflects on screen with a width of 720px and below */
  nav {
    padding: 1.5rem 3.5rem;
  }
   nav ul {
    position: fixed;
    background-color: var(--bg-color);
    flex-direction: column;
    top: 86px;
    left: 10%;
    width: 80%;
    text-align: center;
    transform: translateX(120%);
    transition: transform 0.5s ease-in;
  }

   nav ul li {
    margin: 8px;
  }

  .burger-menu {
    display: block;
  }

  nav ul.show {
    transform: translateX(0);
  }

  /* .hero {
    margin-top: -4rem;
    flex-direction: column;
    gap: 8rem;
  } */

  .showreel {
        width: 100%;
    }

    .showreel-video{
      width: 85%;
    }

  .bio {
    margin-top: -7rem;
    width: 20.5rem;
  }

  .more-about {
    margin-top: 2rem;
    padding: 1rem 3.5rem;
  }

  .more-about h2 {
    text-align: center;
  }

  .more-about p {
    text-align: justify;
  }

   .projects-container {
    flex-direction: column;
  }

  .project-container {
    width: 75vw;
  }

   .contact-form-container {
    max-width: 85vw;
  }

}